Page 1 of 1

Upgrade with community repo activated: not working

Posted: Mon Jan 08, 2018 14:24
by ElDuderino
I've activated the community repo to install tlp power management. However, upgrading no longer works because a lot of packages in community repo demand gcc 4.9, which is not available in standard repos (sabayonlinux.org and sabayon-limbo). Is there a way to reconcile? Like only update packages actually installed from community, but ignore it in general? Are other people also having this problem?
zenbook ~ # equo u -a
╠ @@ Calculating System Updates:
╠ @@ Calculating dependencies...
☢ @@ Dependencies not found:
☢ # Not found: sys-devel/base-gcc:4.9
☢ # package needed by:
☢ # [from: community] app-text/gimagereader-3.2.3
☢ # [from: community] games-strategy/zod-engine-20110906-r1
☢ # [from: community] kde-misc/nowdock-panel-9999
☢ # [from: community] app-emulation/genymotion-2.6.0
☢ # [from: community] dev-lang/v8-3.25.9
☢ # [from: community] net-libs/webkit-gtk-2.4.10
☢ # [from: community] sys-fs/encfs-1.8.1-r1
☢ # [from: community] app-arch/peazip-5.8.0
☢ # [from: community] games-fps/redeclipse-1.5.3
☢ # [from: community] media-gfx/ttfautohint-1.8.1
☢ # [from: community] dev-embedded/arduino-ide-1.6.8
☢ # [from: community] net-im/telegram-desktop-bin-0.10.17
☢ # [from: community] app-editors/atom-bin-1.23.2
☢ # [from: community] net-im/slack-3.0.2
☢ # [from: community] net-im/hipchat-2.2.1388-r2
☢ # [from: community] media-gfx/lightzone-9999
☢ # [from: community] dev-util/phpstorm-2017.3.3_rc1
☢ # [from: community] media-tv/plex-media-server-1.11.0.4666
☢ # [from: community] dev-util/cmake-3.7.2
☢ # [from: community] dev-util/pycharm-community-2017.3.2
☢ # [from: community] dev-libs/rlog-1.4
☢ # [from: community] net-misc/megasync-3.1.4.0
☢ # [from: community] x11-misc/discord-0.0.24
☢ # [from: community] games-strategy/megaglest-3.12.0
☢ # [from: community] sci-geosciences/googleearth-7.1.7.2600
☢ # [from: community] media-sound/jack_capture-0.9.71
☢ # [from: community] dev-util/idea-community-2016.3.1.163.9166.29
☢ # [from: community] media-sound/sox-14.4.2
☢ # [from: community] app-text/qtspell-0.8.2-r1
☢ # [from: community] app-crypt/veracrypt-1.21
☢ # [from: community] net-im/skypeforlinux-9999
☢ # [from: community] app-emulation/shashlik-bin-0.9.3
☢ # [from: community] media-libs/tiff-3.9.7-r1
☢ # [from: community] net-im/qtox-bin-1.3.0
☢ # [from: community] media-sound/vkaudiosaver-1.5
☢ # [from: community] net-im/telegram-bin-0.10.17
☢ # [from: community] dev-lang/dmd-2.074.1-r1
☢ # [from: community] app-misc/fet-5.30.3
☢ # [from: community] dev-util/pycharm-professional-2017.3.2
☢ # [from: community] x11-libs/libvdpau-va-gl-0.4.2
☢ # [from: community] dev-qt/qtmultimedia-5.6.1
☢ # [from: community] net-print/samsung-unified-linux-driver-1.06
☢ # [from: community] x11-libs/vte-0.48.3
☢ # [from: community] kde-apps/kapptemplate-16.04.0

Re: Upgrade with community repo activated: not working

Posted: Mon Jan 08, 2018 18:41
by sabayonino
Sabayon switched to gcc:5.4 some weeks ago (all packages for all sabayon repositories were compiled with gcc.5.4)
All packages showed must be re-compiled (by community-repo) with the latest gcc version in entropy (gcc:5.4).

Re: Upgrade with community repo activated: not working

Posted: Mon Jan 08, 2018 19:43
by ElDuderino
Is community repo being actively maintained? Who will recompile? Should I put a request in somewhere?

Re: Upgrade with community repo activated: not working

Posted: Mon Jan 08, 2018 22:08
by sabayonino
I don't know who's maintaining SCR but you can file a bug and choose :
First, you must pick a product on which to enter a bug:

Community Repositories: Sabayon Community Repositories (SCR) related bugs/package requests
Entropy: Sabayon Package Manager, includes Equo, Rigo, RigoDaemon, Magneto, Entropy Library, Eit.
Hosted Services: Issues with the Website, Forum, Pastebin, Git, IRC or any other Sabayon hosted service.
Overlays: Sabayon Linux Portage Overlays
Sabayon: All versions of Sabayon
Sabayon Developer/Staff: Only Sabayon developers should use this product
tnx

Re: Upgrade with community repo activated: not working

Posted: Tue Jan 09, 2018 0:22
by ElDuderino
Ok, thanks!

Re: Upgrade with community repo activated: not working

Posted: Thu Jan 18, 2018 1:30
by ElDuderino
It doesn't seem to be possible to create a bug report about the repo itself, only about specific packages. What to do? community repo being out of sync like that kinda suggests it's somehow not being maintained right now, is that correct?

I might just request tlp to be included in official repos.

Re: Upgrade with community repo activated: not working

Posted: Thu Jan 18, 2018 13:20
by sabayonino
Not important.

Choose "package request" and hint your issue